Description

In the time series exposed via GRSF APIs these fields are missing:

db_source
data_owner

while these fields are in the KB and in the CKan catalogue, see for example:

https://isl.ics.forth.gr/grsf/grsf-api/resources/getstock 2uuid=ff77592f-b642-3cd6-abed-7d0794c2ce62

VS.

https://data.d4science.org/ctlg/GRSF_Admin/ff77592f-b642-3cd6-abed-7d0794c2ce62

History

#1 - Feb 24, 2023 02:44 PM - Aureliano Gentile

- Subject changed from GRSF API does not include reference source ofr each datum to GRSF API does not include reference source for each datum

#2 - Feb 24, 2023 03:47 PM - Yannis Marketakis
- File clipboard-202302241646-agrde.png added

The data owner is retrieved (it is not included in the timeseries group).
Morover, the original record IDs and URLs are retrieved that reveal the Data source

"source_urls": [
"http://firms.fao.org/fishery/xml/resource/10373/en",
"[RAM (RAM Legacy Stock Assessment Database)]: SOLENS",

"https://www.fishsource.org/stock_page/766",
"https://www.fao.org/sustainable-development-goals/indicators/14.4.1/en/sdg-bel-deu-dnk-fra-gbr-nld-1"

1,

"data_owner": "International Council for the Exploration of the Sea (ICES)",

Of course if you think, that they should be retrieved explicitly we will update the APl methods

#3 - Feb 27, 2023 05:06 PM - Anne Elise Nieblas
- File clipboard-202302272000-x0a9r.png added

Hi both,

Thanks for raising this ticket Aureliano. What | meant was the assessment source reference - so like a link directly to the assessment report. The
closest | see on GRSF is the reporting year or assessment id (e.g. screenshot for Albacore - Indian Ocean catches)
https://isl.ics.forth.gr/grsf/grsf-api/resources/getstock?uuid=ff77592f-b642-3cd6-abed-7d0794c2ce62
https://data.d4science.org/ctlg/GRSF_Admin/ff77592f-b642-3cd6-abed-7d0794c2ce62

T

JRL: https://data.d4science.org/shub/E_c1FSSUIZWXJIL1ImSXdnQkJQY0g5ajliIMEW2Q1c3T283cHZQamtYR29)YWSCS.

Thunnus alalunga - Indian Ocean, Western - Indian Ocean, Eastern

Caich

B Data Explorer

</> Embed
Grid Graph Map 181 records « 1 — 100 » Q Search data .. Go » Filters
_id referenc... | wvalue unit db_source data ow... reporting year or assessment id
1 2020 38083 tonnes FIRMS Indian O... 2020
2 2019 39517 tonnes FIRMS Indian O... 2020
3 2019 37395 tonnes FIRMS Indian O... 2020
4 2018 41615 tonnes FIRMS Indian O... 2020
5 2017 38932 tonnes FIRMS Indian O... 2020
5] 2017 38713 tonnes FIRMS Indian O... 2018
7 2016 36000 TCbest RAM 10TC IOTC-ALBAIO-1950-2016-PONS

But what | would like is the reference source where these data came from - which is available in FIRMS at least (e.g. IOTC. 2020. Albacore. Executive
Summary.
I0OTC-SC23 2020. Report of the 23rd Session of the IOTC Scientific Committee. Seychelles, 7 — 11 December 2020. IOTC-2020-SC23-R[E]:

211pp.)

Best, Anne-Elise

#4 - Feb 27, 2023 05:49 PM - Aureliano Gentile

Dear Yannis, thanks, | think the owner and source urls do refer to the record as a whole, while | am referring to each single datum, for example

{

"value": "1.2604054054",
"unit": "BdivBmsypref",
"type": "Abundance Level",
"reporting_year": "2021",
"reference_year": "1985"

b

and if you compare with the ckan, you will see that db_source (RAM) and data_owner are missing (WGNSSK).

#5 - Mar 01, 2023 03:56 PM - Yannis Marketakis
- Status changed from New to Completed

- % Done changed from 0 to 100

GRSF-API has been updated.

It now reports all the data owners and the DB sources contributing for a GRSF record at time-series level (similarly to the way they are presented from
the catalogue).

Now the response of the GRSF API look like the following:

"catches": [

{
"value": "1.58E+04",
"unit": "TCbest",
"type": "Catch",
"data_owner": "WGNSSK",
"db_source": "RAM",
"reporting_year": "2018",
"reference_year": "1980"

}I

{
"value": "16486",
"unit": "tonnes",
"type": "Catch",
"data_owner": "International Council for the Exploration of the Sea (ICES)",

"db_source": "FIRMS",
"reporting_year": "2016",
"reference_year": "2012"

H

#6 - Mar 02, 2023 08:54 PM - Aureliano Gentile

with many thanks, it looks great.
